using System;

class Customer
{
    Shop shop;

    public Customer(Shop shop)
    {
        this.shop = shop;

        // Ereignisbehandlungsmethode registrieren
        shop.Opened += delegate(object source, EventArgs e)
                          {
                              Console.WriteLine("\t Yippieh!");
                          };
    }
}
